# -*- coding: utf-8 -*-

from django.contrib import admin

from goods.models import GoodsInfo, PackGoodsInfo, PackGoodsSaleInfo, PackInfo


class GoodsInfoAdmin(admin.ModelAdmin):
    list_display = ('good_id', 'title', 'image', 'intro', 'price', 'status', 'created_at', 'updated_at')


class PackInfoAdmin(admin.ModelAdmin):
    list_display = ('pack_id', 'kol_id', 'status', 'created_at', 'updated_at')


class PackGoodsInfoAdmin(admin.ModelAdmin):
    list_display = ('pack_id', 'good_id', 'status', 'created_at', 'updated_at')


class PackGoodsSaleInfoAdmin(admin.ModelAdmin):
    list_display = ('pack_id', 'user_id', 'saleinfo', 'status', 'created_at', 'updated_at')


admin.site.register(GoodsInfo, GoodsInfoAdmin)
admin.site.register(PackInfo, PackInfoAdmin)
admin.site.register(PackGoodsInfo, PackGoodsInfoAdmin)
admin.site.register(PackGoodsSaleInfo, PackGoodsSaleInfoAdmin)
